| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# HistogramAgent Class Reference

`#include <GaudiKernel/HistogramAgent.h>`

Inheritance diagram for HistogramAgent:

[legend]
Collaboration diagram for HistogramAgent:

[legend]
List of all members.

## Detailed Description

HistogramAgent base in charge of collecting all the refereces to DataObjects in a transient store that passes some selection criteria.

The default behaviour is to collect all entries.

Author:
  Markus Frank

Definition at line 18 of file HistogramAgent.h.

## Public Member Functions
| HistogramAgent ()
| Default creator.
virtual | ~HistogramAgent ()
| Destructor.
IDataSelector * | selectedObjects ()
| Return the set of selected DataObjects.
virtual bool | analyse (IRegistry *pRegistry, int)
| Analyses a given directory entry.
## Protected Attributes
IDataSelector | m_objects

## Constructor & Destructor Documentation

HistogramAgent::HistogramAgent | ( |  | ) | `[inline]`

Default creator.

Definition at line 23 of file HistogramAgent.h.

    00023                    {
    00024   }

virtual HistogramAgent::~HistogramAgent | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 26 of file HistogramAgent.h.

    00026                              {
    00027   }

## Member Function Documentation

IDataSelector* HistogramAgent::selectedObjects | ( |  | ) | `[inline]`

Return the set of selected DataObjects.

Definition at line 29 of file HistogramAgent.h.

References m_objects.

Referenced by EventLoopMgr::finalize().

    00029                                       {
    00030     return &m_objects;
    00031   }

virtual bool HistogramAgent::analyse | ( | IRegistry * | pRegistry,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Analyses a given directory entry.

Implements IDataStoreAgent.

Definition at line 33 of file HistogramAgent.h.

References DataObject::clID(), CLID_StatisticsFile, m_objects, and IRegistry::object().

    00033                                                      {
    00034     DataObject* obj = pRegistry->object();
    00035     if ( 0 != obj )  {
    00036       if ( obj->clID() != CLID_StatisticsFile )    {
    00037         m_objects.push_back(obj);
    00038         return true;
    00039       }
    00040     }
    00041     return false;
    00042   }

## Member Data Documentation

IDataSelector HistogramAgent::m_objects`[protected]`

Definition at line 20 of file HistogramAgent.h.

Referenced by analyse(), and selectedObjects().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/ApplicationMgr/HistogramAgent.h